HTMLAnchorElement (XML Standard API)
Keywords: org.w3c.dom.html.HTMLAnchorElement interface

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.html
Interface HTMLAnchorElement

All Superinterfaces:
  Element, HTMLElement, Node

    public interface HTMLAnchorElement

extends HTMLElement

The anchor element. See the A element definition in HTML 4.0.

Field Summary

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`void` | `blur()` Removes keyboard focus from this element.
`void` | `focus()` Gives keyboard focus to this element.
`java.lang.String` | `getAccessKey()` A single character access key to give access to the form control.
`java.lang.String` | `getCharset()` The character encoding of the linked resource.
`java.lang.String` | `getCoords()` Comma-separated list of lengths, defining an active region geometry.See also `shape` for the shape of the region.
`java.lang.String` | `getHref()` The URI of the linked resource.
`java.lang.String` | `getHreflang()` Language code of the linked resource.
`java.lang.String` | `getName()` Anchor name.
`java.lang.String` | `getRel()` Forward link type.
`java.lang.String` | `getRev()` Reverse link type.
`java.lang.String` | `getShape()` The shape of the active area.
`int` | `getTabIndex()` Index that represents the element's position in the tabbing order.
`java.lang.String` | `getTarget()` Frame to render the resource in.
`java.lang.String` | `getType()` Advisory content type.
`void` | `setAccessKey(java.lang.String accessKey)`
`void` | `setCharset(java.lang.String charset)`
`void` | `setCoords(java.lang.String coords)`
`void` | `setHref(java.lang.String href)`
`void` | `setHreflang(java.lang.String hreflang)`
`void` | `setName(java.lang.String name)`
`void` | `setRel(java.lang.String rel)`
`void` | `setRev(java.lang.String rev)`
`void` | `setShape(java.lang.String shape)`
`void` | `setTabIndex(int tabIndex)`
`void` | `setTarget(java.lang.String target)`
`void` | `setType(java.lang.String type)`

Methods inherited from interface org.w3c.dom.html.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Method Detail

### getAccessKey

    java.lang.String getAccessKey()

  A single character access key to give access to the form control. See the accesskey attribute definition in HTML 4.0.

### setAccessKey

    void setAccessKey(java.lang.String accessKey)

### getCharset

    java.lang.String getCharset()

  The character encoding of the linked resource. See the charset attribute definition in HTML 4.0.

### setCharset

    void setCharset(java.lang.String charset)

### getCoords

    java.lang.String getCoords()

  Comma-separated list of lengths, defining an active region geometry.See also `shape` for the shape of the region. See the coords attribute definition in HTML 4.0.

### setCoords

    void setCoords(java.lang.String coords)

### getHref

    java.lang.String getHref()

  The URI of the linked resource. See the href attribute definition in HTML 4.0.

### setHref

    void setHref(java.lang.String href)

### getHreflang

    java.lang.String getHreflang()

  Language code of the linked resource. See the hreflang attribute definition in HTML 4.0.

### setHreflang

    void setHreflang(java.lang.String hreflang)

### getName

    java.lang.String getName()

  Anchor name. See the name attribute definition in HTML 4.0.

### setName

    void setName(java.lang.String name)

### getRel

    java.lang.String getRel()

  Forward link type. See the rel attribute definition in HTML 4.0.

### setRel

    void setRel(java.lang.String rel)

### getRev

    java.lang.String getRev()

  Reverse link type. See the rev attribute definition in HTML 4.0.

### setRev

    void setRev(java.lang.String rev)

### getShape

    java.lang.String getShape()

  The shape of the active area. The coordinates are givenby `coords`. See the shape attribute definition in HTML 4.0.

### setShape

    void setShape(java.lang.String shape)

### getTabIndex

    int getTabIndex()

  Index that represents the element's position in the tabbing order. See the tabindex attribute definition in HTML 4.0.

### setTabIndex

    void setTabIndex(int tabIndex)

### getTarget

    java.lang.String getTarget()

  Frame to render the resource in. See the target attribute definition in HTML 4.0.

### setTarget

    void setTarget(java.lang.String target)

### getType

    java.lang.String getType()

  Advisory content type. See the type attribute definition in HTML 4.0.

### setType

    void setType(java.lang.String type)

### blur

    void blur()

  Removes keyboard focus from this element.

### focus

    void focus()

  Gives keyboard focus to this element.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.